-- Set indentation to 4 spaces for JSON files
vim.bo.shiftwidth = 4 -- Number of spaces for auto-indent
vim.bo.tabstop = 4 -- Number of spaces per tab
vim.bo.softtabstop = 4 -- Number of spaces per Tab key press
vim.bo.expandtab = true -- Convert tabs to spaces

-- Enable auto-indenting
vim.bo.autoindent = true
vim.bo.smartindent = true

-- Ensure file formatting is consistent
vim.bo.fileformat = 'unix'

-- Optionally, enable spell checking for JSON comments
vim.wo.spell = true
